Welcome!

Welcome to the official BlackBerry Support Community Forums.

This is your resource to discuss support topics with your peers, and learn from each other.

inside custom component

Adobe AIR Development

Reply
Developer
Posts: 249
Registered: ‎11-02-2010
My Device: PlayBook

Re: SDK 1.1 for Adobe Air targeting OS 1.0.6

Hello aura,

  you should check that you FB version is 4.5.1.

If ok, when installing BB SDK 1.1, don't click "yes" for the FB integration (BB PlayBook is already integratted in FB v4.5.1).

Then choose where to install the BB SDK,

and select directory "FB/sdks/4.5.1" when prompting for AIR directory.

 

JC
New Developer
Posts: 13
Registered: ‎07-11-2011
My Device: Playbook

Re: SDK 1.1 for Adobe Air targeting OS 1.0.6

Hello ace :smileyhappy:

 

i am still use FB 4.5.0

Developer
Posts: 6,541
Registered: ‎10-27-2010
My Device: HTC One, PlayBook, LE Z10, DE Q10

Re: SDK 1.1 for Adobe Air targeting OS 1.0.6

4.5.1 has a lot of the bugs worked out.
Regular Contributor
Posts: 82
Registered: ‎11-12-2010
My Device: Android Droid Incredible

Re: SDK 1.1 for Adobe Air targeting OS 1.0.6

Elena could you expand on how to properly hack to get the 2.5 air working with the 1.0.1 sdk in FB 4.5.1. Ive tried downloading air 2.5 and extracted it in the flex 4.5 directory. Ive also changed all the swf versions to 10 instead of 11 but when i run it on the device i get a blank white screen that is not even calling the creationComplete or addedtostage???

BlackBerry Development Advisor
Posts: 417
Registered: ‎10-27-2010
My Device: PlayBook

Re: SDK 1.1 for Adobe Air targeting OS 1.0.6

If you using flex (mxml) there is no way because flex 4.5.1 does not support air 2.5
Regular Contributor
Posts: 82
Registered: ‎11-12-2010
My Device: Android Droid Incredible

Re: SDK 1.1 for Adobe Air targeting OS 1.0.6

Ok, What about Flex 4.5? that is what i'm trying it with... So my problem is that I was using flash builder burrito with 4.5 but somehow the license "expired" and I was forced to delete and install the premium version for another 50 dollars, "********", anyways, I installed premium and i'm using 4.5 with the adobe air 2.5 runtime copied into the sdk directory should it not run on the device? How can I develop for 2.5 again? can i, or am i forced to develop on 2.7?
Regular Contributor
Posts: 82
Registered: ‎11-12-2010
My Device: Android Droid Incredible

Re: SDK 1.1 for Adobe Air targeting OS 1.0.6

Elena?

Regular Contributor
Posts: 82
Registered: ‎11-12-2010
My Device: Android Droid Incredible

Re: SDK 1.1 for Adobe Air targeting OS 1.0.6

bump, Elena?

Contributor
Posts: 12
Registered: ‎01-12-2011
My Device: Playbook

Re: SDK 1.1 for Adobe Air targeting OS 1.0.6

L7ColWinters I was able to target AIR 2.5 with AIR 2.6 installed with sdk 1.0.1 in fb 4.5.1 using the work around and overrides files here http://blogs.adobe.com/jasonsj/2011/05/flex45_air25_playbook.html

The AIR 2.5 workaround didn't work for me with AIR 2.7 or sdk 1.1.0 ( if i remember correctly)